Package picard.analysis.directed

## Class TargetedPcrMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.metrics.MultilevelMetrics
    - - picard.analysis.directed.PanelMetricsBase
      - - picard.analysis.directed.TargetMetricsBase
        - - picard.analysis.directed.TargetedPcrMetrics

-     public class TargetedPcrMetrics
      extends TargetMetricsBase

  Metrics class for the analysis of reads obtained from targeted pcr experiments e.g. the TruSeq Custom Amplicon (TSCA) kit (Illumina).

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `AMPLICON_TERRITORY` | The number of unique bases covered by the intervals of all amplicons in the amplicon set
    `String` | `CUSTOM_AMPLICON_SET` | The name of the amplicon set used in this metrics collection run
    `double` | `FOLD_ENRICHMENT` | The fold by which the amplicon region has been amplified above genomic background.
    `double` | `MEAN_AMPLICON_COVERAGE` | The mean read coverage of all amplicon regions in the experiment.
    `long` | `NEAR_AMPLICON_BASES` | The number of PF_BASES_ALIGNED that mapped to within a fixed interval of an amplified region, but not on a baited region.
    `long` | `OFF_AMPLICON_BASES` | The number of PF_BASES_ALIGNED that mapped neither on or near an amplicon.
    `long` | `ON_AMPLICON_BASES` | The number of PF_BASES_ALIGNED that mapped to an amplified region of the genome.
    `double` | `ON_AMPLICON_VS_SELECTED` | The fraction of bases mapping to regions on or near amplicons, which mapped directly to but not near amplicons, ON_AMPLICON_BASES/(NEAR_AMPLICON_BASES + ON_AMPLICON_BASES)
    `double` | `PCT_AMPLIFIED_BASES` | The fraction of PF_BASES_ALIGNED that mapped to or near an amplicon, (ON_AMPLICON_BASES + NEAR_AMPLICON_BASES)/PF_BASES_ALIGNED.
    `double` | `PCT_OFF_AMPLICON` | The fraction of PF_BASES_ALIGNED that mapped neither onto or near an amplicon, OFF_AMPLICON_BASES/PF_BASES_ALIGNED

    - ### Fields inherited from class picard.analysis.directed.TargetMetricsBase

      `ON_TARGET_FROM_PAIR_BASES, PF_SELECTED_PAIRS, PF_SELECTED_UNIQUE_PAIRS`

    - ### Fields inherited from class picard.analysis.directed.PanelMetricsBase

      `AT_DROPOUT, FOLD_80_BASE_PENALTY, GC_DROPOUT, GENOME_SIZE, HET_SNP_Q, HET_SNP_SENSITIVITY, MAX_TARGET_COVERAGE, MEAN_TARGET_COVERAGE, MEDIAN_TARGET_COVERAGE, MIN_TARGET_COVERAGE, ON_TARGET_BASES, PCT_EXC_ADAPTER, PCT_EXC_BASEQ, PCT_EXC_DUPE, PCT_EXC_MAPQ, PCT_EXC_OFF_TARGET, PCT_EXC_OVERLAP, PCT_PF_READS, PCT_PF_UQ_READS, PCT_PF_UQ_READS_ALIGNED, PCT_TARGET_BASES_100000X, PCT_TARGET_BASES_10000X, PCT_TARGET_BASES_1000X, PCT_TARGET_BASES_100X, PCT_TARGET_BASES_10X, PCT_TARGET_BASES_1X, PCT_TARGET_BASES_20X, PCT_TARGET_BASES_25000X, PCT_TARGET_BASES_2500X, PCT_TARGET_BASES_250X, PCT_TARGET_BASES_2X, PCT_TARGET_BASES_30X, PCT_TARGET_BASES_40X, PCT_TARGET_BASES_50000X, PCT_TARGET_BASES_5000X, PCT_TARGET_BASES_500X, PCT_TARGET_BASES_50X, PF_BASES, PF_BASES_ALIGNED, PF_READS, PF_UNIQUE_READS, PF_UQ_BASES_ALIGNED, PF_UQ_READS_ALIGNED, TARGET_TERRITORY, TOTAL_READS, ZERO_CVG_TARGETS_PCT`

    - ### Fields inherited from class picard.metrics.MultilevelMetrics

      `LIBRARY, READ_GROUP, SAMPLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TargetedPcrMetrics()` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CUSTOM_AMPLICON_SET

          public String CUSTOM_AMPLICON_SET

      The name of the amplicon set used in this metrics collection run

    - #### AMPLICON_TERRITORY

          public long AMPLICON_TERRITORY

      The number of unique bases covered by the intervals of all amplicons in the amplicon set

    - #### ON_AMPLICON_BASES

          public long ON_AMPLICON_BASES

      The number of PF_BASES_ALIGNED that mapped to an amplified region of the genome.

    - #### NEAR_AMPLICON_BASES

          public long NEAR_AMPLICON_BASES

      The number of PF_BASES_ALIGNED that mapped to within a fixed interval of an amplified region, but not on a baited region.

    - #### OFF_AMPLICON_BASES

          public long OFF_AMPLICON_BASES

      The number of PF_BASES_ALIGNED that mapped neither on or near an amplicon.

    - #### PCT_AMPLIFIED_BASES

          public double PCT_AMPLIFIED_BASES

      The fraction of PF_BASES_ALIGNED that mapped to or near an amplicon, (ON_AMPLICON_BASES + NEAR_AMPLICON_BASES)/PF_BASES_ALIGNED.

    - #### PCT_OFF_AMPLICON

          public double PCT_OFF_AMPLICON

      The fraction of PF_BASES_ALIGNED that mapped neither onto or near an amplicon, OFF_AMPLICON_BASES/PF_BASES_ALIGNED

    - #### ON_AMPLICON_VS_SELECTED

          public double ON_AMPLICON_VS_SELECTED

      The fraction of bases mapping to regions on or near amplicons, which mapped directly to but not near amplicons, ON_AMPLICON_BASES/(NEAR_AMPLICON_BASES + ON_AMPLICON_BASES)

    - #### MEAN_AMPLICON_COVERAGE

          public double MEAN_AMPLICON_COVERAGE

      The mean read coverage of all amplicon regions in the experiment.

    - #### FOLD_ENRICHMENT

          public double FOLD_ENRICHMENT

      The fold by which the amplicon region has been amplified above genomic background.

  - ### Constructor Detail

    - #### TargetedPcrMetrics

          public TargetedPcrMetrics()